export default interface DBShip {
    id: string,
    capacity: {
        solid: number,
        liquid: number,
        gas: number,
    },
    requirements: {
        buildings: Array<{ id: string, level: number }>,
        research: Array<{ id: string, level: number }>,
        resources: Array<{ name: string, amount: number }>,
    },
    time: number,
    structure: {
        hitpoints: number,
        defense: number,
        attack: number,
    },
    speed: number,
}